Saltar al contenido principal
POST
/
v1
/
external-support
/
{projectId}
Create Integration
curl --request POST \
  --url https://gateway.jelou.ai/jelouapi/v1/external-support/{projectId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookUrl": "https://my-system.com/webhook/jelou",
  "authType": "no_auth",
  "authorization": "my-secret-token"
}
'
{
  "id": "INTEGRATION_ID",
  "brainId": "BRAIN_ID",
  "webhookUrl": "https://my-system.com/webhook/jelou",
  "authType": "bearer",
  "signingSecret": "a1b2c3d4...signing_secret_hex",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt

Use this file to discover all available pages before exploring further.

El signingSecret solo se muestra en la respuesta de creación. Guárdelo de forma segura.

Descripción

Crea una nueva integración entre Jelou y tu panel de atención externo. Al completarse, Jelou generará un signingSecret único asociado al proyecto.

Endpoint

POST https://gateway.jelou.ai/jelouapi/v1/external-support/{projectId}

Parámetros de ruta

projectId
string
requerido
Identificador único del proyecto de Jelou al que se asociará la integración.

Parámetros del cuerpo

webhookUrl
string
requerido
URL del endpoint en tu sistema que recibirá los eventos enviados por Jelou. Debe ser una URL pública accesible por HTTPS.Ejemplo: https://mi-sistema.com/webhook/jelou

Autenticación

Todas las peticiones deben incluir el encabezado x-api-key con la API key del proyecto de Jelou.
x-api-key: API_KEY

Ejemplo de solicitud

El siguiente ejemplo crea una integración para el proyecto PROJECT_ID, configurando el webhook.
cURL
curl --request POST \
  --url https://gateway.jelou.ai/jelouapi/v1/external-support/PROJECT_ID \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: API_KEY' \
  --data '{
    "webhookUrl": "https://mi-sistema.com/webhook/jelou"
  }'

Respuestas

CódigoEstadoDescripción
200OKIntegración creada exitosamente. Incluye el signingSecret.
422Unprocessable EntityLos campos enviados en el request contienen valores inválidos o no cumplen las validaciones esperadas.
401UnauthorizedCredenciales de autenticación inválidas o faltantes.
500Internal Server ErrorError interno del servidor.

Ejemplo de respuesta

{
  "message": [
    "Integration created successfully"
  ],
  "statusMessage": "success",
  "status": 1,
  "data": {
    "id": "INTEGRATION_ID",
    "brainId": "PROJECT_ID",
    "webhookUrl": "https://mi-sistema.com/webhook/jelou",
    "authType": "no_auth",
    "signingSecret": "SIGNING_SECRET",
    "createdAt": "2026-01-15T10:30:00.000Z"
  }
}

Autorizaciones

Authorization
string
header
requerido

Basic authentication using Base64 encoded clientId:clientSecret

Parámetros de ruta

projectId
string
requerido

Unique identifier of the Jelou project

Cuerpo

application/json
webhookUrl
string<uri>
requerido

Webhook URL where events will be sent

Ejemplo:

"https://my-system.com/webhook/jelou"

authType
enum<string>
predeterminado:no_auth

Authentication type for invoking the webhook

Opciones disponibles:
bearer,
api_key,
basic,
no_auth
authorization
string

Credentials for authenticating when invoking the webhook

Ejemplo:

"my-secret-token"

Respuesta

Integration created successfully

id
string
Ejemplo:

"INTEGRATION_ID"

brainId
string
Ejemplo:

"BRAIN_ID"

webhookUrl
string
Ejemplo:

"https://my-system.com/webhook/jelou"

authType
string
Ejemplo:

"bearer"

signingSecret
string
Ejemplo:

"a1b2c3d4...signing_secret_hex"

createdAt
string<date-time>